summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZdenek Kabelac <zkabelac@redhat.com>2021-09-10 22:39:23 +0200
committerMarian Csontos <mcsontos@redhat.com>2021-09-14 16:05:27 +0200
commitf3f99d45b89d415528e21a66f94ab4576f95ba56 (patch)
treee396cfa27ce90126ab11fe70883ef0056934cdc8
parent073cdd0ba8c39a0330e73773c92d78546d06e687 (diff)
downloadlvm2-dev-mcsontos-rhel-8.5.tar.gz
vdo: prompt with no return failuredev-mcsontos-rhel-8.5
Exit 1 (failure) when prompt for conversion is answered as 'No'. (cherry picked from commit 3b24c0fe4e197383101eae53b14f19586cf2eda1)
-rwxr-xr-xscripts/lvm_import_vdo.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/lvm_import_vdo.sh b/scripts/lvm_import_vdo.sh
index e5b30d801..06a043c54 100755
--- a/scripts/lvm_import_vdo.sh
+++ b/scripts/lvm_import_vdo.sh
@@ -356,7 +356,7 @@ EOF
read -n 1 -s ANSWER
case "${ANSWER:0:1}" in
y|Y ) echo "Yes" ;;
- * ) echo "No" ; PROMPTING=""; exit ;;
+ * ) echo "No" ; PROMPTING=""; exit 1 ;;
esac
PROMPTING=""
YES="-y" # From now, now prompting